# features

Gives you access to the current available features inside the room - e.g. **chat** or **screenshare**.\
Also the [featureSetUpdated](/reference/sdk/events/featuresetupdated.md) event is being emitted if the room state changes at any point in time.

```javascript
//Prints a boolean value if chat feature is available or not
console.log('Chat feature status:', sambaFrame.features['chat']);
```

You can also use the [featureEnabled](/reference/sdk/methods/featureenabled.md) method to check if a feature is available.

Here is a full list of the possible features:

```typescript
chat, endSession, fullScreen, languageSelection, minimizeOwnTile,
participantsList, pin, screenshare, recordings, virtualBackgrounds,
raiseHand, invite
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/properties/features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
